cURL
curl --request POST \ --url https://public-api.sessionboard.com/v1/event/{eventId}/contacts/{contactId}/restore \ --header 'x-access-token: <api-key>'
{ "id": "<string>", "friendly_id": "<string>", "full_name": "<string>", "first_name": "<string>", "last_name": "<string>", "email": "<string>", "created_at": "<string>", "updated_at": "<string>", "photo_url": "<string>", "company_name": "<string>", "title": "<string>", "about": "<string>", "phone_home": "<string>", "phone_mobile": "<string>", "address_line_1": "<string>", "address_line_2": "<string>", "address_city": "<string>", "address_state": "<string>", "address_postal_code": "<string>", "address_country": "<string>", "website_url": "<string>", "linkedin_url": "<string>", "twitter_url": "<string>", "facebook_url": "<string>", "honorific": "<string>", "salutation": "<string>", "pronouns": "<string>", "gender": "<string>", "past_companies": "<string>", "educational_affiliation": "<string>", "highest_level_of_education": "<string>", "ethnicity": "<string>", "languages": "<string>", "speaker_score": "<string>", "organization_contact": "<string>", "speaker_fee": "<string>", "availability": "<string>", "preferred_session_format": "<string>", "annual_revenue": "<string>", "headcount": "<string>", "years_in_operation": "<string>", "organization_structure": "<string>", "industry": "<string>", "global_region": "<string>", "audience_type": "<string>", "target_age_range": "<string>", "topic_expertise": "<string>", "brand": "<string>", "translated_fields": [ { "id": "<string>", "name": "<string>", "type": "<string>", "parent_field_id": "<string>", "parent_field_source": "<string>", "parent_field_name": "<string>", "parent_field_internal_name": "<string>", "translated_language": "<string>", "value": "<string>" } ], "custom_fields": [ { "id": "<string>", "name": "<string>", "value": "<string>", "type": "<string>", "internal_name": "<string>", "created_at": "<string>" } ] }
Restore a previously soft-deleted contact. Requires the write:contacts scope.
write:contacts
Organization API token. Generate from Organization Settings → API Tokens.
The event ID.
The contact ID.
Contact restored
A contact (speaker, attendee, or organizational contact) in Sessionboard.
Show child attributes